## class wxExtHelpController

> This class implements help via an external browser

### Public Methods

virtual bool DisplayBlock(long blockNo)
  Display help for id sectionNo -- identical with DisplaySection()
virtual bool DisplayContents(void)
  Display list of all help entries
virtual bool DisplaySection(int sectionNo)
  Display help for id sectionNo
virtual bool Initialize(const wxString& file, int WXUNUSED(server))
  This must be called to tell the controller where to find the documentation
virtual bool Initialize(const wxString& file)
  This must be called to tell the controller where to find the documentation
virtual bool KeywordSearch(const wxString& k)
  Search comment/documentation fields in map file and present a list to chose from
virtual bool LoadFile(const wxString& file = "")
  If file is "", reloads file given in Initialize
virtual void OnQuit(void)
  does nothing
virtual bool Quit(void)
  does nothing
void SetBrowser(wxString const & browsername = WXEXTHELP_DEFAULTBROWSER, bool isNetscape = WXEXTHELP_DEFAULTBROWSER_IS_NETSCAPE)
  Tell it which browser to use

### Private Fields

bool m_BrowserIsNetscape
  Is the viewer a variant of netscape?
wxString m_BrowserName
  How to call the html viewer
wxString m_MapFile
  Filename of currently active map file
wxExtHelpMapList* m_MapList
  A list containing all id,url,documentation triples
int m_NumOfEntries
  How many entries do we have in the map file?

### Private Methods

bool CallBrowser(wxString const &)
  Call the browser using a relative URL

## Documentation

> This class implements help via an external browser. It requires the name of a directory containing the documentation and a file mapping numerical Section numbers to relative URLS.

> The map file contains two or three fields per line: numeric_id relative_URL [; comment/documentation]

> The numeric_id is the id used to look up the entry in DisplaySection()/DisplayBlock(). The relative_URL is a filename of an html file, relative to the help directory. The optional comment/documentation field (after a ';') is used for keyword searches, so some meaningful text here does not hurt. If the documentation itself contains a ';', only the part before that will be displayed in the listbox, but all of it used for search.

> Lines starting with ';' will be ignored.

> This confuses DOC++, so I leave it out for now: `ifdef USE_HELP`: public wxHelpControllerBase { DECLARE_CLASS(wxExtHelpController) `else`{ `endif`

`virtual bool Initialize(const wxString& file, int WXUNUSED(server))`
  This must be called to tell the controller where to find the documentation
  Returns:
    true on success
  Parameters:
    file - - NOT a filename, but a directory name.

`virtual bool Initialize(const wxString& file)`
  This must be called to tell the controller where to find the documentation
  Returns:
    true on success
  Parameters:
    file - - NOT a filename, but a directory name.

`virtual bool LoadFile(const wxString& file = "")`
  If file is "", reloads file given in Initialize. @file Name of help directory.
  Returns:
    true on success

`virtual bool DisplayContents(void)`
  Display list of all help entries
  Returns:
    true on success

`virtual bool DisplaySection(int sectionNo)`
  Display help for id sectionNo
  Returns:
    true on success

`virtual bool DisplayBlock(long blockNo)`
  Display help for id sectionNo -- identical with DisplaySection()
  Returns:
    true on success

`virtual bool KeywordSearch(const wxString& k)`
  Search comment/documentation fields in map file and present a list to chose from. @key k string to search for, empty string will list all entries
  Returns:
    true on success

`virtual bool Quit(void)`
  does nothing

`virtual void OnQuit(void)`
  does nothing

`void SetBrowser(wxString const & browsername = WXEXTHELP_DEFAULTBROWSER, bool isNetscape = WXEXTHELP_DEFAULTBROWSER_IS_NETSCAPE)`
  Tell it which browser to use. The Netscape support will check whether Netscape is already running (by looking at the .netscape/lock file in the user's home directory) and tell it to load the page into the existing window.
  Parameters:
    browsername - The command to call a browser/html viewer.
    isNetscape - Set this to TRUE if the browser is some variant of Netscape.

`wxString m_MapFile`
  Filename of currently active map file

`int m_NumOfEntries`
  How many entries do we have in the map file?

`wxExtHelpMapList* m_MapList`
  A list containing all id,url,documentation triples

`wxString m_BrowserName`
  How to call the html viewer

`bool m_BrowserIsNetscape`
  Is the viewer a variant of netscape?

`bool CallBrowser(wxString const &)`
  Call the browser using a relative URL

This class has no child classes.

alphabetic index hierarchy of classes

this page has been generated automatically by doc++

(c)opyright by Malte Zöckler, Roland Wunderling
contact: doc++@zib.de